> ## Documentation Index
> Fetch the complete documentation index at: https://docs.houdiniswap.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available chains

> Get the list of available `enabled` blockchain networks/chains for both CEX and DEX swaps.

Use the `shortName` field as the chain parameter in endpoints.



## OpenAPI

````yaml https://api-partner.houdiniswap.com/v2/openapi.json get /chains
openapi: 3.0.0
info:
  title: houdiniswap-backend
  version: 2.1.1
  description: Houdiniswap Backend
  license:
    name: ISC
  contact: {}
servers:
  - url: https://api-partner.houdiniswap.com/v2
security: []
paths:
  /chains:
    get:
      tags:
        - Chains
      summary: Get available chains
      description: >-
        Get the list of available `enabled` blockchain networks/chains for both
        CEX and DEX swaps.


        Use the `shortName` field as the chain parameter in endpoints.
      operationId: GetChains
      parameters:
        - description: Filter chains that support CEX swaps
          in: query
          name: hasCex
          required: false
          schema:
            type: boolean
        - description: Filter chains that support DEX swaps
          in: query
          name: hasDex
          required: false
          schema:
            type: boolean
        - description: Filter by blockchain type (e.g., "evm", "bitcoin", "solana")
          in: query
          name: kind
          required: false
          schema:
            items:
              type: string
            type: array
        - description: Filter by chain name (case-insensitive search in name, shortName)
          in: query
          name: name
          required: false
          schema:
            type: string
        - description: Page number
          in: query
          name: page
          required: false
          schema:
            default: 1
            format: double
            type: number
            minimum: 1
            maximum: 10000
        - description: Page size
          in: query
          name: pageSize
          required: false
          schema:
            default: 100
            format: double
            type: number
            minimum: 1
            maximum: 100
      responses:
        '200':
          description: List of available chains
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaginatedChainResponse'
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
        '500':
          description: Internal Server Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
      security:
        - apiKey: []
components:
  schemas:
    PaginatedChainResponse:
      description: Paginated response for chains
      properties:
        chains:
          items:
            $ref: '#/components/schemas/ChainResponse'
          type: array
          description: List of chains for the current page
        total:
          type: number
          format: double
          description: Total number of chains matching the filters
        totalPages:
          type: number
          format: double
          description: Total number of pages
      required:
        - chains
        - total
        - totalPages
      type: object
      additionalProperties: false
    ValidationError:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
        fields:
          $ref: '#/components/schemas/FieldErrors'
      required:
        - message
        - code
        - fields
      type: object
      additionalProperties: false
    ErrorResponse:
      properties:
        message:
          type: string
        code:
          type: string
        requestId:
          type: string
      required:
        - message
        - code
      type: object
      additionalProperties: false
    ChainResponse:
      description: Chain response with only public fields
      properties:
        id:
          type: string
          description: Chain ID
          example: 507f1f77bcf86cd799439011
        name:
          type: string
          description: Readable chain name
          example: Bitcoin
        shortName:
          type: string
          description: Short name for DEX endpoints
          example: bitcoin
        memoNeeded:
          type: boolean
          nullable: true
          description: Whether the chain requires a memo/tag for transactions
          example: false
        explorerUrl:
          type: string
          description: Transaction explorer URL template
          example: https://blockchair.com/bitcoin/transaction/{txHash}
        addressUrl:
          type: string
          description: Address explorer URL template
          example: https://blockchair.com/bitcoin/address/{address}
        icon:
          type: string
          description: Chain icon URL (auto-formatted with ASSETS_URL if relative)
          example: https://api.houdiniswap.com/assets/networks/BTC.png
        priority:
          type: number
          format: double
          description: Display priority (lower is higher priority)
          example: 2
        kind:
          type: string
          description: Chain kind/type
          example: bitcoin
        addressValidation:
          type: string
          description: Regex pattern for address validation
          example: ^(bc1|[13])[a-zA-HJ-NP-Z0-9]{25,59}$
        tokenAddressValidation:
          type: string
          description: Regex pattern for token address validation
          example: ^(bc1|[13])[a-zA-HJ-NP-Z0-9]{25,59}$
        chainId:
          type: number
          format: double
          nullable: true
          description: EVM chain ID (for EVM-compatible chains)
          example: 1
      required:
        - id
        - name
        - shortName
        - explorerUrl
        - addressUrl
        - kind
        - addressValidation
        - tokenAddressValidation
      type: object
      additionalProperties: false
    FieldErrors:
      properties: {}
      type: object
      additionalProperties:
        properties:
          value: {}
          message:
            type: string
        required:
          - message
        type: object
  securitySchemes:
    apiKey:
      type: apiKey
      name: Authorization
      in: header

````